org.eclipse.lyo.oslc4j.core.exception

## Class OslcCoreApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.lyo.oslc4j.core.exception.OslcCoreApplicationException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    OslcCoreDeregistrationException, OslcCoreDuplicatePropertyDefinitionException, OslcCoreInvalidOccursException, OslcCoreInvalidPropertyDefinitionException, OslcCoreInvalidPropertyTypeException, OslcCoreInvalidRepresentationException, OslcCoreInvalidValueTypeException, OslcCoreMissingAnnotationException, OslcCoreMissingNamespaceDeclarationException, OslcCoreMissingNamespacePrefixException, OslcCoreMissingSetMethodException, OslcCoreMisusedOccursException, OslcCoreRegistrationException, OslcCoreRelativeURIException

      public abstract class OslcCoreApplicationException
      extends Exception

  Base class for all application exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcCoreApplicationException(String messageKey, Object[] args)`
    `OslcCoreApplicationException(String messageKey, Object[] args, Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OslcCoreApplicationException

          public OslcCoreApplicationException(String messageKey,
                                      Object[] args)

    - #### OslcCoreApplicationException

          public OslcCoreApplicationException(String messageKey,
                                      Object[] args,
                                      Throwable t)

Copyright © 2016. All rights reserved.